Linux repositories inspector

libgps23 - Global Positioning System - library

The gpsd service daemon can monitor one or more GPS devices connected to a host computer, making all data on the location and movements of the sensors available to be queried on TCP port 2947.
This package provides libgps, a C service library for querying GPS devices. It supports both a low-level interface, which communicates directly with the device to which the GPS is connected, and a high-level interface, which goes through gpsd and is intended for concurrent use by several applications.
Original maintainer
Homepagehttp://www.catb.org/gpsd/
3.17
Debian iconDebian 10.0
OpenSUSE iconOpenSUSE Leap 15.0
OpenSUSE iconOpenSUSE Leap 15.1
Ubuntu iconUbuntu 18.04 LTS
Ubuntu iconUbuntu 18.10
Ubuntu iconUbuntu 19.04
Ubuntu iconUbuntu 19.10
DistributionVersionSincePackageInstalledPackager
Debian iconDebian 10.0 buster/maindeb3.17-7Jun 1787.7 kiB183 kiB
OpenSUSE iconOpenSUSE Leap 15.0 ossrpm3.17-lp150.2.12Jan 1765.9 kiB120 kiBhttps://bugs.opensuse.org
OpenSUSE iconOpenSUSE Leap 15.1 ossrpm3.17-lp151.3.5Jan 2365.8 kiB120 kiBhttps://bugs.opensuse.org
Ubuntu iconUbuntu 18.04 LTS bionic/universedeb3.17-52017-12-2848.9 kiB178 kiB
Ubuntu iconUbuntu 18.10 cosmic/universedeb3.17-5build1Jan 1449 kiB178 kiB
Ubuntu iconUbuntu 19.04 disco/universedeb3.17-5build1Jan 1449 kiB178 kiB
Ubuntu iconUbuntu 19.10 eoan/universedeb3.17-7Jun 1748 kiB187 kiB

Latest updates

Ubuntu 19.10 icon

Ubuntu 19.10 eoan/universe: Version 3.17-7 reintroduced

Jun 20
Ubuntu 19.10 icon

Ubuntu 19.10 eoan/universe: Version 3.17-7 removed

Jun 20
Ubuntu 19.10 icon

Ubuntu 19.10 eoan/universe: Version 3.17-7 introduced

Jun 17
Debian 10.0 icon

Debian 10.0 buster/main: Updated from 3.17-6 to 3.17-7

Jun 17
Debian 10.0 icon

Debian 10.0 buster/main: Updated from 3.17-5+b1 to 3.17-6

Apr 10
  • [0a8e4e18] Pull json fixes from upstream to fix a stack-based buffer overflow, which may allow remote attackers to execute arbitrary code on embedded platforms via traffic on Port 2947/TCP or crafted JSON inputs.
    CVE-2018-17937 / Closes: #925327
    The update also fixes several other json parser bugs.
    • ECMA-404 says JSON \u must have 4 hex digits
    • Allow for \u escapes with fewer than 4 digits.
    • Fail on bad escape string.
  • [71020f4f] Update git-buildpackage config to build from the buster branch.
OpenSUSE Leap 15.1 icon

OpenSUSE Leap 15.1 oss: Version 3.17-lp151.3.5 introduced

Jan 23
  • build with Qt5
  • refreshed gpsd-python3.patch
OpenSUSE Leap 15.0 icon

OpenSUSE Leap 15.0 oss: Version 3.17-lp150.2.12 introduced

Jan 17
  • build with Qt5
  • refreshed gpsd-python3.patch
Ubuntu 19.04 icon

Ubuntu 19.04 disco/universe: Version 3.17-5build1 introduced

Jan 14
  • No-change rebuild for ncurses soname changes.
Ubuntu 18.10 icon

Ubuntu 18.10 cosmic/universe: Version 3.17-5build1 introduced

Jan 14
  • No-change rebuild for ncurses soname changes.
Debian 10.0 icon

Debian 10.0 buster/main: Updated from 3.17-5 to 3.17-5+b1

Jan 12
  • Binary-only non-maintainer upload for amd64; no source changes.
  • Rebuild against libncurses6.
Debian 10.0 icon

Debian 10.0 buster/main: Updated from 3.17-3 to 3.17-5

2018-01-01
  • [fd1e83f9] Add pkg-config as Build-Dependency.
    Went missing somehow :(
  • [6d0e69e3] Build with default compiler standard
  • [8994d7cb] Actually change control.in, not control.
    Needs an extra check to make sure I don't forget again :)
  • [a744cad9] Updating debian/control from debian/control.in
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/universe: Version 3.17-5 removed

2017-12-28
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic/universe: Updated from 3.17-3 to 3.17-5

2017-12-28
  • [fd1e83f9] Add pkg-config as Build-Dependency.
    Went missing somehow :(
  • [6d0e69e3] Build with default compiler standard
  • [8994d7cb] Actually change control.in, not control.
    Needs an extra check to make sure I don't forget again :)
  • [a744cad9] Updating debian/control from debian/control.in
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/universe: Version 3.17-5 introduced

2017-12-28
  • [fd1e83f9] Add pkg-config as Build-Dependency.
    Went missing somehow :(
  • [6d0e69e3] Build with default compiler standard
  • [8994d7cb] Actually change control.in, not control.
    Needs an extra check to make sure I don't forget again :)
  • [a744cad9] Updating debian/control from debian/control.in
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic/universe: Version 3.17-3 introduced

2017-11-22
  • [2638b3e] Avoid duplicate ppscheck installation.
    Thanks to Andreas Beckmann (Closes: #879951)
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/universe: Version 3.17-3 removed

2017-11-22
Debian 10.0 icon

Debian 10.0 buster/main: Version 3.17-3 introduced

2017-11-10
  • [2638b3e] Avoid duplicate ppscheck installation.
    Thanks to Andreas Beckmann (Closes: #879951)
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/universe: Version 3.17-3 introduced

2017-11-10
  • [2638b3e] Avoid duplicate ppscheck installation.
    Thanks to Andreas Beckmann (Closes: #879951)
⇧ Top